const state = {
  componentId: 'CardMode',
  CardComponentId: 'BasicCard',
}
const mutations = {
  setComponent(state, id) {
    state.componentId = id
  },
  setCardComponent(state, id) {
    state.CardComponentId = id
  },
}
const actions = {
  setComponent({ commit }, id) {
    commit('setComponent', id)
  },
  setCardComponent({ commit }, id) {
    commit('setCardComponent', id)
  },
}

export default { state, mutations, actions }
